import { h } from "@stencil/core";
import { tableEmpty } from "../../styles/parts";
export const TableEmptyState = (props) => {
    const { columnSpan, isEmpty } = props;
    if (!columnSpan || !isEmpty) {
        return null;
    }
    return (h("tr", null, h("td", { class: "empty-state", part: tableEmpty, colSpan: columnSpan, style: { textAlign: 'center' } }, "No results")));
};
